import * as core from "@terrascript/core";

export interface VaultPolicyArgs extends core.ResourceArgs {
  backupVaultName: string | core.StringOut;

  policy: string | core.StringOut;
}

export class VaultPolicy extends core.Resource<VaultPolicyArgs> {
  @core.attr(String, { computed: true })
  public backupVaultArn!: string | core.StringOut;

  @core.attr(String)
  public backupVaultName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  @core.attr(String)
  public policy!: string | core.StringOut;

  constructor(name: string, args?: VaultPolicyArgs) {
    super(name, "aws_backup_vault_policy", args);
  }

  public override getNamespace(): string {
    return "aws_backup";
  }
}
